package com.fjhx.service.working;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.working.WorkingProcedure;
import com.fjhx.params.working.WorkingProcedureVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 工序 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
public interface WorkingProcedureService extends BaseService<WorkingProcedure> {

    Page<WorkingProcedure> getPage(Map<String, String> condition);

    void add(WorkingProcedureVo workingProcedureVo);

    void edit(WorkingProcedureVo workingProcedureVo);

    void delete(WorkingProcedureVo workingProcedureVo);

    List<WorkingProcedure> getList();

}
